# Core Java Evaluation - Revature
🕙 Due: **10:00am July 2nd, 2021**
> Make sure that you have commited and pushed your work to your personal repository before 10:00am on July 2nd. You should continuously integrate your work with the following command:

```git
	git add .
	git commit -m “completed problem #14”
	git push
```

## Description

Revature is building a new API! This API contains methods for validating data, 
solving problems, and encoding data. The API consists of 20 methods that you 
must implement:

* Without using the StringBuilder or StringBuffer class, write a method that reverses a String.
* Convert a phrase to its acronym.
* Determine if a triangle is equilateral, isosceles, or scalene. 
* Given a word, compute the scrabble score for that word.
* Clean up user-entered phone numbers so that they can be sent SMS messages.
* Given a phrase, count the occurrences of each word in that phrase.
* Implement a binary search algorithm.
* Implement a program that translates from English to Pig Latin.
* An Armstrong number is a number that is the sum of its own digits each raised to the power of the number of digits.
* Compute the prime factors of a given natural number.
* Create an implementation of the rotational cipher, also sometimes called the Caesar cipher.
* Given a number n, determine what the nth prime is.
* Create an implementation of the atbash cipher, an ancient encryption system created in the Middle East. Encode a value with the cipher
* Create an implementation of the atbash cipher, an ancient encryption system created in the Middle East. Decode a value with the cipher
* Write a method that validates a number to be proper ISBN-10.
* Determine if a sentence is a pangram.
* Calculate the moment when someone has lived for 10^9 seconds.
* Given a number, find the sum of all the unique multiples of particular numbers up to but not including that number.
* Given a number determine whether or not it is valid per the Luhn formula.
* Parse and evaluate simple math word problems returning the answer as an integer.

## Requirements
* Git
* GitLab Account
* IDE/Text Editor

Start off by forking this repository into your own subgroup. Once you have your own repo, open a terminal shell or git-scm terminal and clone the repository to your computer using the Git command:
	
	git clone [your forked url].git

Next, open the project with your preferred text editor or IDE and complete the assignment according to your trainer’s instructions or Readme. When you are ready to submit your assignment, add, commit, and push your changes using the git commands:

```
	git add .
	git commit -m “Assignment Completed”
	git push
```

Be sure not to alter the folder structure, configuration files, or unit tests of the assignment unless specifically told to do so by your trainer. Be aware of any deadlines set by the trainer, and push your code beforehand.
